package me.parsell.dmblock.Common;

import java.util.Optional;

import me.parsell.dmblock.Core.dmBlocks;
import net.minecraft.block.BlockRenderType;
import net.minecraft.block.BlockState;
import net.minecraft.block.BlockWithEntity;
import net.minecraft.block.ShapeContext;
import net.minecraft.block.entity.BlockEntity;
import net.minecraft.util.math.BlockPos;
import net.minecraft.util.shape.VoxelShape;
import net.minecraft.util.shape.VoxelShapes;
import net.minecraft.world.BlockView;

public class MultiBlockFacadeBlock extends BlockWithEntity {

    public MultiBlockFacadeBlock(Settings settings) {
        super(settings.nonOpaque());
    }

    @Override
    public BlockRenderType getRenderType(BlockState state) {
        return BlockRenderType.INVISIBLE;
    }

    @Override
    public VoxelShape getOutlineShape(BlockState state, BlockView world, BlockPos pos, ShapeContext context) {
        Optional<MultiBlockFacadeBlockEntity> blockEntity = world.getBlockEntity(pos, dmBlocks.MULTIBLOCKFACADE_BLOCKENTITY);
        
        if(blockEntity.isPresent())
            return blockEntity.get().getReplacedBlockState().getOutlineShape(world, pos);
        else
            return VoxelShapes.fullCube();
    }

    @Override
    public BlockEntity createBlockEntity(BlockPos pos, BlockState state) {
        return new MultiBlockFacadeBlockEntity(pos, state);
    }
}