package me.parsell.dmblock.Common;

import me.parsell.dmblock.Core.dmBlocks;
import net.minecraft.block.BlockState;
import net.minecraft.block.Blocks;
import net.minecraft.block.entity.BlockEntity;
import net.minecraft.nbt.NbtCompound;
import net.minecraft.nbt.NbtHelper;
import net.minecraft.util.math.BlockPos;

public class MultiBlockFacadeBlockEntity extends BlockEntity {
    BlockState replacedBlock = Blocks.OAK_FENCE.getDefaultState();

    public MultiBlockFacadeBlockEntity(BlockPos pos, BlockState state) {
        super(dmBlocks.MULTIBLOCKFACADE_BLOCKENTITY, pos, state);
    }

    public void setReplacedBlockState(BlockState state){
        replacedBlock = state;
    }

    public BlockState getReplacedBlockState(){
        return replacedBlock;
    }
    
    @Override
    public void writeNbt(NbtCompound nbt) {
        nbt.put("replacedBlock", NbtHelper.fromBlockState(replacedBlock));
        super.writeNbt(nbt);
    }

    @Override
    public void readNbt(NbtCompound nbt) {
        super.readNbt(nbt);

        NbtCompound replacedBlockNbt = nbt.getCompound("replacedBlock");
        replacedBlock = NbtHelper.toBlockState(replacedBlockNbt);
    }
}